CVE-2006-1288
CVSS7.5
发布时间 :2006-03-19 18:02:00
修订时间 :2011-03-07 21:32:42
NMCO    

[原文]Multiple SQL injection vulnerabilities in Invision Power Board (IPB) 2.0.4 and 2.1.4 before 20060105 allow remote attackers to execute arbitrary SQL commands via cookies, related to (1) arrays of id/stamp pairs and (2) the keys in arrays of key/value pairs in ipsclass.php; (3) the topics variable in usercp.php; and the topicsread cookie in (4) topics.php, (5) search.php, and (6) forums.php.


[CNNVD]Invision Power Board 多个SQL注入漏洞(CNNVD-200603-320)

        Invision Power Board (IPB) 20060105之前版本 2.0.4和2.1.4中存在多个SQL注入漏洞,远程攻击者可通过以下途径执行任意SQL命令:cookies,与(1)id/stamp对阵列和(2)在ipsclass.php中的key/value对应阵列中的密钥有关;(3)usercp.php中的topics变量;和在(4) topics.php,(5) search.php,和(6) forums.php中的topicread cookie。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:invision_power_services:invision_power_board:2.0.4
cpe:/a:invision_power_services:invision_power_board:2.1.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1288
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1288
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-320
(官方数据源) CNNVD

- 其它链接及资源

http://forums.invisionpower.com/index.php?showtopic=204627
(PATCH)  CONFIRM  http://forums.invisionpower.com/index.php?showtopic=204627
http://forums.invisionpower.com/index.php?act=Attach&type=post&id=9642
(PATCH)  CONFIRM  http://forums.invisionpower.com/index.php?act=Attach&type=post&id=9642
http://www.vupen.com/english/advisories/2006/0861
(UNKNOWN)  VUPEN  ADV-2006-0861
http://xforce.iss.net/xforce/xfdb/25100
(UNKNOWN)  XF  invision-multiple-sql-injection(25100)
http://secunia.com/advisories/19141
(UNKNOWN)  SECUNIA  19141

- 漏洞信息

Invision Power Board 多个SQL注入漏洞
高危 SQL注入
2006-03-19 00:00:00 2006-03-20 00:00:00
远程  
        Invision Power Board (IPB) 20060105之前版本 2.0.4和2.1.4中存在多个SQL注入漏洞,远程攻击者可通过以下途径执行任意SQL命令:cookies,与(1)id/stamp对阵列和(2)在ipsclass.php中的key/value对应阵列中的密钥有关;(3)usercp.php中的topics变量;和在(4) topics.php,(5) search.php,和(6) forums.php中的topicread cookie。

- 公告与补丁

        

- 漏洞信息

23710
Invision Power Board Cookie Data SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-03-06 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Invision Power Board has released a patch (2.0.4 or 2.1.4 dated 01-05-06) to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站